Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.metadata
Interface ResourcePropertiesMetadataValidation

All Known Subinterfaces:
  ResourcePropertyCollection

All Known Implementing Classes:
  SimpleResourcePropertyCollection

public interface ResourcePropertiesMetadataValidation

ResourcePropertiesMetadataValidation is a set of methods required of WSRP implementations that provide metadata validation via WS-RMD 1.0.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `applyMetadata()` Takes the RMD that has been provided through setMetadata() and creates components that will enforce it.
`MetadataDescriptor` | `getMetadata()`
`void` | `setMetadata(MetadataDescriptor metadata)` Provides the given WS-RMD MetadataDescriptor to this WS-RP document.
`void` | `validateMetadata()` Iterates through every property in the WS-RMD metadata and verifies that the current WS-RP document is valid.

Method Detail

### applyMetadata

    public void applyMetadata()
                       throws BaseFault

  Takes the RMD that has been provided through setMetadata() and creates components that will enforce it. This method only needs to be called once after setMetadata() is called. After this method is called, any attempt to modify the WS-RP container in a way that is incompatible with the RMD will fail.

  Throws:
    `BaseFault`

### getMetadata

    public MetadataDescriptor getMetadata()

  Returns:
    The RMD for this WS-RP document.

### setMetadata

    public void setMetadata(MetadataDescriptor metadata)

  Provides the given WS-RMD MetadataDescriptor to this WS-RP document. This metadata will be used for all subsequent validations, including calls to validateMetadata() and SetResourceProperties-like operations.
  Note that this method does not perform validation and it does not create listeners to do so in the future. To do these things, use validateMetadata and applyMetadata, respectively.

  Parameters:
    `metadata` - The WS-RMD metadata for this WS-RP document.
  See Also:
    `applyMetadata()`, `validateMetadata()`

### validateMetadata

    public void validateMetadata()
                          throws BaseFault

  Iterates through every property in the WS-RMD metadata and verifies that the current WS-RP document is valid. This method should be used sparingly, as it will validate every property; for cases such as SetResourceProperties, the implementation of the operations should validate the individual property being targeted, not the whole document.

  Throws:
    `BaseFault` -
    - If there is a property in the WS-RMD document that is not in the schema.
    - If the WS-RMD defines a set of valid values for a property and one of the current values is not included in that set.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD